package utils

import (
	"math/rand"
	"strconv"
)

// RandInt 生成 [min, max] 范围内的随机整数
func RandInt(min, max int) int {
	if min > max {
		min, max = max, min
	}
	return rand.Intn(max-min+1) + min
}

// StringToInt64 converts a string to int64, returns 0 if failed
func StringToInt64(s string) int64 {
	i, err := strconv.ParseInt(s, 10, 64)
	if err != nil {
		return 0
	}
	return i
}
